## org.apache.poi.util
Class StringUtil.StringsIterator

    java.lang.Object
      org.apache.poi.util.StringUtil.StringsIterator

All Implemented Interfaces:
  java.util.Iterator<java.lang.String>

Enclosing class:
  StringUtil

    public static class StringUtil.StringsIterator

extends java.lang.Object
implements java.util.Iterator<java.lang.String>

An Iterator over an array of Strings.

Constructor Summary
`StringUtil.StringsIterator(java.lang.String[] strings)`

Method Summary
`boolean` `hasNext()`
`java.lang.String` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtil.StringsIterator

    public StringUtil.StringsIterator(java.lang.String[] strings)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.lang.String>`

### next

    public java.lang.String next()

  Specified by:
    `next` in interface `java.util.Iterator<java.lang.String>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.lang.String>`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.